package sbu.javafx;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.scene.image.Image;
import java.awt.*;
import java.io.IOException;

public class MusicApp extends Application {

    @Override
    public void start(Stage stage) throws IOException
    {
        FXMLLoader fxmlLoader = new FXMLLoader(MusicApp.class.getResource("App-view.fxml"));
        Scene scene = new Scene(fxmlLoader.load());

        String lightStyle = getClass().getResource("light.css").toExternalForm();
        scene.getStylesheets().add(lightStyle);

        stage.setTitle("Music Player");
        stage.setScene(scene);

        Image icon = new Image(getClass().getResourceAsStream("icon.png"));
        stage.getIcons().add(icon);

        stage.show();
    }

}
